Bug 465851 - Review Request: logstalgia - Web server access log visualizer
Review Request: logstalgia - Web server access log visualizer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 13:52 EDT by Terje Røsten
Modified: 2014-04-01 08:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 13:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-10-06 13:52:01 EDT
spec: http://terjeros.fedorapeople.org/logstalgia/logstalgia.spec
srpm: http://koji.fedoraproject.org/koji/getfile?taskID=864378&name=logstalgia-0.9.1-1.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=864377

description:
logstalgia (aka ApachePong) replays or streams a standard website
access log (eg access.log) as a retro arcade game-like simulation.
Comment 1 Gwyn Ciesla 2008-10-13 12:34:05 EDT
Ready to review, but koji pruned the SRPM, please post to fedorapeople.
Comment 3 Terje Røsten 2008-10-13 16:20:12 EDT
Thanks for the interest Jon, when I have your attention could you please have a look on # 254059 too. It has been waiting for some love in 14 months now.

Thanks for the help so far.
Comment 4 Gwyn Ciesla 2008-10-14 09:21:02 EDT
rpmlint is clean all around.

License tag should be GPLv3+.

Please comment on patch status WRT upstream, and submit upstream if necessary.

Would this benefit from a .desktop file and icon?  You would either have it run against the example.  You could have it run against /var/log/httpd/access_log, but that'd need root and require httpd.  Something to consider.

Otherwise, full review is good, no BuildRequires missing.

And I'll have a peek at 254059.  If you wanted to reciprocate, 452107 should be pretty straightforward.
Comment 6 Gwyn Ciesla 2008-10-20 08:50:31 EDT
Koji build pruned, repost?
Comment 8 Gwyn Ciesla 2008-10-20 13:49:07 EDT
Ok, all clear. 

APPROVED.
Comment 9 Terje Røsten 2008-10-20 13:55:27 EDT
Thanks again!

New Package CVS Request
=======================
Package Name: logstalgia
Short Description: Web server access log visualizer
Owners: terjeros
Branches: F-9
InitialCC:
Comment 10 Huzaifa S. Sidhpurwala 2008-10-22 05:40:45 EDT
cvs done
Comment 11 Terje Røsten 2008-10-22 13:54:38 EDT
Imported and built.
Comment 12 Christopher Meng 2014-03-31 22:05:57 EDT
Package Change Request
======================
Package Name: logstalgia
New Branches: el6 epel7
Owners: cicku terjeros
Comment 13 Gwyn Ciesla 2014-04-01 08:19:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.